Subject: [92attendees] Travelex at DFW inverted EUD/USD rate...

From: George Michaelson <[email-masked]>
Date: Fri, 20 Mar 2015 07:36:46 -0500

The rate I got converting EUR notes to USD was an inverse. It could
have been teller-mistake and I was wrong not to check it. I think I'm
hosed, but watch out.

EUR200 converted to USD181 at 1.10 -the actual EUR/USD rate is 0.93

inverting 0.93 gets me 1.07 which is close enough to make me suspect
she misapplied the conversion function

-G